Guard Praga:
If you follow this road west, you will come to a fork in the road. If you turn to the southwest, you will pass the Abandoned Camp. Once, it was a camp for the Gracian armies, but it has been abandoned for some time and is now the camp for the ol mahums.
Those nasty ol mahums were hired by Gracia as mercenaries, but they were unable to return to their country and were left here to plunder for a living. So you must be extra careful when you're traveling near there, or you may be ambushed by ol mahum looters.
Return